package com.jscape.inet.ssh.protocol.v2.marshaling;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.inet.ssh.protocol.v2.marshaling.primitive.Uint32Codec;
import com.jscape.inet.ssh.protocol.v2.messages.SshMsgChannelEof;
import com.jscape.util.io.DataCodec;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Alex Usun
 */
public class SshMsgChannelEofCodec
        implements DataCodec<Message> {

    @Override
    public Message read(InputStream in)
            throws IOException {
        int recipientChannel = Uint32Codec.readValue(in);

        return new SshMsgChannelEof(recipientChannel);
    }

    @Override
    public void write(Message value, OutputStream out)
            throws IOException {
        SshMsgChannelEof message = (SshMsgChannelEof) value;
        Uint32Codec.writeValue(message.recipientChannel, out);
    }
}
